Bug 456116 - Move ntpdate into separate package
Move ntpdate into separate package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-07-21 12:16 EDT by Daniel Drake
Modified: 2008-09-17 18:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-28 07:10:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spec file changes (2.21 KB, patch)
2008-07-21 12:16 EDT, Daniel Drake
no flags Details | Diff

  None (edit)
Description Daniel Drake 2008-07-21 12:16:05 EDT
Hi,

Would you consider moving ntpdate into its own package?

We use ntpdate on the XO laptop but we don't need the whole of ntp. At the
moment, ntp is adding perl to our build, which is eating our precious disk
space. If we could just install ntpdate it would be a big help.

I am attaching the changes I made to the F-9 spec to implement this. I have
tested it on the XO laptop and it works fine.
Comment 1 Daniel Drake 2008-07-21 12:16:05 EDT
Created attachment 312275 [details]
spec file changes
Comment 2 Miroslav Lichvar 2008-07-22 06:11:01 EDT
The perl dependency will be solved by putting the perl scripts in -perl
subpackage (bug #452097), but having an extra package for ntpdate will save some
space too.

Thanks.
Comment 3 Miroslav Lichvar 2008-07-28 07:10:54 EDT
Fixed in ntp-4.2.4p4-7.fc10.

Note You need to log in before you can comment on or make changes to this bug.